WayloAIWaylo Docs
APIReferenceDestinations

List destinations

GET
/destinations

Destinations in one workspace, offset-paginated. Never includes a secret.

Access: workspace_viewer · API key destinations:read

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Query Parameters

page?number
Range1 <= value <= 10000
Default1
limit?number
Range1 <= value <= 100
Default25
orderDirection?string
Default"desc"
Value in"asc""desc"
workspaceId*string
Formatuuid
active?boolean
orderBy?string
Value in"name""active""createdByUserName""updatedByUserName""createdAt""updatedAt"
search?string

Free-text search over the searchBy fields.

Length1 <= length <= 255
searchBy?string

Comma-separated: name, url.

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.poc.app.waylovoice.ai/destinations?workspaceId=497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",    "name": "string",    "url": "string",    "credentialId": "f568fec0-10b6-4b94-9daf-e62c50c9bf3e",    "credentialName": "string",    "credentialActive": true,    "sendTestCalls": true,    "instructions": "string",    "active": true,    "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",    "createdByUserName": "string",    "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e",    "updatedByUserName": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]